## systemd 251.4

=== .github/workflows/requirements.txt ===
meson==0.62.0 \
    --hash=sha256:00e06dccac7d3b0568b5da82e70c2028c80c359aab6dc517bcbd1825511898c3 \
    --hash=sha256:06f8c1cfa51bfdb533c82623ffa524cacdbea02ace6d709145e33aabdad6adcb
ninja==1.10.2.3 \
    --hash=sha256:0560eea57199e41e86ac2c1af0108b63ae77c3ca4d05a9425a750e908135935a \
    --hash=sha256:21a1d84d4c7df5881bfd86c25cce4cf7af44ba2b8b255c57bc1c434ec30a2dfc \
    --hash=sha256:279836285975e3519392c93c26e75755e8a8a7fafec9f4ecbb0293119ee0f9c6 \
    --hash=sha256:29570a18d697fc84d361e7e6330f0021f34603ae0fcb0ef67ae781e9814aae8d \
    --hash=sha256:5ea785bf6a15727040835256577239fa3cf5da0d60e618c307aa5efc31a1f0ce \
    --hash=sha256:688167841b088b6802e006f911d911ffa925e078c73e8ef2f88286107d3204f8 \
    --hash=sha256:6bd76a025f26b9ae507cf8b2b01bb25bb0031df54ed685d85fc559c411c86cf4 \
    --hash=sha256:740d61fefb4ca13573704ee8fe89b973d40b8dc2a51aaa4e9e68367233743bb6 \
    --hash=sha256:840a0b042d43a8552c4004966e18271ec726e5996578f28345d9ce78e225b67e \
    --hash=sha256:84be6f9ec49f635dc40d4b871319a49fa49b8d55f1d9eae7cd50d8e57ddf7a85 \
    --hash=sha256:9ca8dbece144366d5f575ffc657af03eb11c58251268405bc8519d11cf42f113 \
    --hash=sha256:cc8b31b5509a2129e4d12a35fc21238c157038022560aaf22e49ef0a77039086 \
    --hash=sha256:d5e0275d28997a750a4f445c00bdd357b35cc334c13cdff13edf30e544704fbd \
    --hash=sha256:e1b86ad50d4e681a7dbdff05fc23bb52cb773edb90bc428efba33fa027738408

=== debian/changelog ===
systemd (251.4-3) unstable; urgency=medium

  * resolv.conf: take backup as a fallback in case resolved/resolv.conf
    is not available, and restore on uninstall, which is necessary for
    piuparts checks.

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Aug 2022 22:39:04 +0100

systemd (251.4-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * use systemd-sysusers instead of adduser. This allows dropping the
    dependency on adduser (reducing the dependency set) and in turn allows
    for DPKG_ROOT support of systemd.
  * debian/systemd.postinst: add --root argument to systemctl and
    systemd-* calls for DPKG_ROOT support

  [ Luca Boccassi ]
  * resolved: use DPKG_ROOT and make postinst shellcheck-happy
  * resolved: switch from .links to postinst/rm
  * Update Lintian overrides for new incompatible syntax

 -- Luca Boccassi <bluca@debian.org>  Fri, 26 Aug 2022 23:16:23 +0100

systemd (251.4-1) unstable; urgency=medium

  * New upstream version 251.4
  * Rebase patches
  * Rebuild against fixed dh-nss to avoid duplicates in /etc/nsswitch.conf
    (Closes: #1017096)

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Aug 2022 20:06:18 +0200

systemd (251.3-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * libnss-systemd: also let userdbd manage passwords.
    As of upstream commit:
    https://github.com/systemd/systemd/commit/f43a19ecd6e3415e
    in v249 userdbd can also synthesize shadow/gshadow records,
    so add the shadow config to nsswitch.conf on installation.
    (Closes: #1004326)
  * homed: make PAM rules higher priority than unix users.
    Make sure homed is tried first when logging in. This is required
    after adding nss-systemd support for 'shadow' in /etc/nsswitch.conf.
    See Arch bug: https://bugs.archlinux.org/task/72967

  [ Gioele Barabucci ]
  * d/control: Use dh_installnss
  * d/libnss-myhostname.nss: Install NSS service `myhostname` via dh_installnss
  * d/libnss-mymaschines.nss: Install NSS service `mymaschines` via dh_installnss
  * d/libnss-resolve.nss: Install NSS service `resolve` via dh_installnss
  * d/libnss-systemd.nss: Install NSS service `systemd` via dh_installnss

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Aug 2022 19:06:38 +0200

systemd (251.3-2~exp2) experimental; urgency=medium

  * Note in systemd.NEWS that resolved has moved to a new package
  * systemd-resolved: move conffile from systemd. Copied from systemd-
    timesyncd

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Aug 2022 00:06:03 +0100

systemd (251.3-2~exp1) experimental; urgency=medium

  * Split systemd-resolved into its own package which takes over
    /etc/resolv.conf (Closes: #939904)

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Aug 2022 14:55:48 +0100

=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>,
           Felipe Sateler <fsateler@debian.org>,
           Luca Boccassi <bluca@debian.org>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
Homepage: https://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper-compat (= 13),
               dh-sequence-installnss,
               dh-sequence-package-notes,
               pkg-config,
               xsltproc <!nodoc>,
               docbook-xsl <!nodoc>,
               docbook-xml <!nodoc>,
               meson (>= 0.53.2),
               gettext,
               gperf,
               gnu-efi [amd64 i386 arm64 armhf],
               libcap-dev,
               libpam0g-dev,
               libapparmor-dev (>= 2.13) <!stage1>,
               libidn2-dev <!stage1>,
               libiptc-dev <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck> <!noinsttest>,
               libcryptsetup-dev (>= 2:1.6.0) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               liblz4-dev (>= 1.3.0),
               liblz4-tool <!nocheck>,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-openssl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libpcre2-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               libfdisk-dev (>= 2.33),
               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
               libdw-dev (>= 0.158) <!stage1>,
               libpolkit-gobject-1-dev <!stage1>,
               libzstd-dev (>= 1.4.0),
               libtss2-dev <!stage1>,
               libfido2-dev <!stage1>,
               libssl-dev <!stage1>,
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-jinja2:native,
               python3-lxml:native,
               python3-pyparsing:native <!nocheck>,
               python3-evdev:native <!nocheck>,
               tzdata <!nocheck>,
               libcap2-bin <!nocheck>,
               iproute2 <!nocheck>,
               zstd <!nocheck>,
               gawk <!nocheck>,
               fdisk <!nocheck>,

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Recommends: default-dbus-system-bus | dbus-system-bus,
            systemd-timesyncd | time-daemon,
Suggests: systemd-container,
          systemd-homed,
          systemd-userdbd,
          systemd-boot,
          systemd-resolved,
          libfido2-1,
          libtss2-esys-3.0.2-0,
          libtss2-mu0,
          libtss2-rc0,
          policykit-1
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         mount,
Conflicts: consolekit,
           libpam-ck-connector,
           systemd-shim,
Breaks: resolvconf (<< 1.83~),
        udev (<< 247~),
        less (<< 563),
        sicherboot (<< 0.1.6),
Provides: systemd-sysusers (= ${binary:Version}),
          systemd-tmpfiles (= ${binary:Version}),
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/lib/systemd/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Conflicts: sysvinit-core,
           file-rc,
           systemd-shim,
Replaces: sysvinit-core,
Pre-Depends: systemd
Depends: ${misc:Depends},
Recommends: libpam-systemd,
            libnss-systemd
Description: system and service manager - SysV links
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit. Installing systemd-sysv will overwrite /sbin/init with a
 link to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         default-dbus-system-bus | dbus-system-bus
Recommends: libnss-mymachines,
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd
  * systemd-portabled and portablectl

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         adduser
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         systemd
Recommends: libdw1
Conflicts: core-dump-handler
Replaces: core-dump-handler
Provides: core-dump-handler
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: systemd-timesyncd
Architecture: linux-any
Multi-Arch: foreign
Priority: standard
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         systemd
Breaks: systemd (<< 245.4-2~),
Conflicts: time-daemon
Replaces: time-daemon,
          systemd (<< 245.4-2~),
Provides: time-daemon
Description: minimalistic service to synchronize local time with NTP servers
 The package contains the systemd-timesyncd system service that may be used to
 synchronize the local system clock with a remote Network Time Protocol server.

Package: systemd-tests
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         python3,
Build-Profiles: <!noinsttest>
Description: tests for systemd
 This package contains the test binaries. Those binaries are primarily used
 for autopkgtest and not meant to be installed on regular user systems.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime,
         default-dbus-system-bus | dbus-system-bus,
         systemd-sysv
Recommends: dbus-user-session,
Provides: logind (= ${binary:Version}), default-logind (= ${binary:Version})
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.1.1 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-container (= ${binary:Version}),
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-resolved (= ${binary:Version}),
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
 the systemd-resolved daemon (provided in the systemd-resolved package).
 .
 Installing this package automatically adds resolve to /etc/nsswitch.conf.

Package: libnss-systemd
Architecture: linux-any
Multi-Arch: same
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Description: nss module providing dynamic user and group name resolution
 nss-systemd is a plug-in module for the GNU Name Service Switch (NSS)
 functionality of the GNU C Library (glibc), providing UNIX user and group name
 resolution for dynamic users and groups allocated through the DynamicUser=
 option in systemd unit files. See systemd.exec(5) for details on this
 option.
 .
 Installing this package automatically adds the module to /etc/nsswitch.conf.

Package: libsystemd0
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd utility library
 This library provides APIs to interface with various system components such as
 the system journal, the system service manager, D-Bus and more.

Package: libsystemd-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsystemd0 (= ${binary:Version})
Description: systemd utility library - development files
 This library provides APIs to interface with various system components such as
 the system journal, the system service manager, D-Bus and more.
 .
 This package contains the files needed for developing applications that
 use libsystemd.

Package: libsystemd-shared
Architecture: linux-any

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_OPTIONS = nostrip

export LC_ALL = C.UTF-8

include /usr/share/dpkg/default.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

ifeq ($(DEB_VENDOR),Ubuntu)
    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
    SUPPORT_URL = http://www.ubuntu.com/support
    CONFFLAGS_DISTRO =
else
    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
    SUPPORT_URL = https://www.debian.org/support
    CONFFLAGS_DISTRO =
endif

TEST_TIMEOUT_MULTIPLIER = "-t 10"

# fail on missing files and symbols changes on distro builds, but not if we
# build/test upstream master
ifeq ($(TEST_UPSTREAM),)
    DH_MISSING = --fail-missing
    GENSYMBOLS_LEVEL = 4
else
    DH_MISSING = --list-missing
    GENSYMBOLS_LEVEL = 1
endif

CONFFLAGS = \
	-Db_lto=true \
	-Db_pie=true \
	-Dmode=release \
	-Drootlibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-Dsplit-usr=true \
	-Dversion-tag="$(DEB_VERSION)" \
	-Dquotaon-path=/sbin/quotaon \
	-Dquotacheck-path=/sbin/quotacheck \
	-Dkmod-path=/bin/kmod \
	-Dkexec-path=/sbin/kexec \
	-Dsulogin-path=/sbin/sulogin \
	-Dmount-path=/bin/mount \
	-Dumount-path=/bin/umount \
	-Dloadkeys-path=/bin/loadkeys \
	-Dsetfont-path=/bin/setfont \
	-Dnologin-path=/usr/sbin/nologin \
	-Dtelinit-path=/lib/sysvinit/telinit \
	-Dsysvinit-path=/etc/init.d \
	-Dsysvrcnd-path=/etc \
	-Dlocalegen-path=/usr/sbin/locale-gen \
	-Ddebug-shell=/bin/bash \
	-Dzshcompletiondir=/usr/share/zsh/vendor-completions \
	-Ddbuspolicydir=/usr/share/dbus-1/system.d/ \
	-Dsupport-url=$(SUPPORT_URL) \
	-Ddefault-kill-user-processes=false \
	-Ddefault-hierarchy=unified \
	-Ddefault-dnssec=no \
	-Dpamconfdir=no \
	-Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
	-Drpmmacrosdir=no \
	-Dqrencode=false \
	-Dvconsole=false \
	-Dfirstboot=false \
	-Dsysupdate=false \
	-Dxkbcommon=false \
	-Dwheel-group=false \
	-Dpwquality=false \
	-Dp11kit=false \
	-Doomd=true \
	-Durlify=true \
	-Dgnutls=false \
	-Dlink-udev-shared=false \
	-Dlink-systemctl-shared=false \
	-Dbump-proc-sys-fs-nr-open=false \
	-Dntp-servers="$(DEFAULT_NTP_SERVERS)" \
	-Ddns-servers='' \
	-Dsystem-uid-max=999 \
	-Dsystem-gid-max=999 \
	-Dnobody-user=nobody \
	-Dnobody-group=nogroup \
	-Ddev-kvm-mode=0660 \
	-Dgroup-render-mode=0660 \
	-Drepart=true \
	-Dfdisk=true \
	-Dsysext=true \
	-Dnscd=true \
	-Dselinux=true \
	-Dhwdb=true \
	-Dsysusers=true \
	-Dinstall-tests=$(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),false,true) \
	-Dlibcryptsetup-plugins=false \
	-Defi=true \
	-Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),false,true) \
	-Dtranslations=true \
	-Dnss-myhostname=true \
	-Dnss-mymachines=true \
	-Dnss-resolve=true \
	-Dnss-systemd=true \
	-Dresolve=true \
	-Dstandalone-binaries=true

ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
CONFFLAGS += \
	-Daudit=true \
	-Dlibcryptsetup=true \
	-Dcoredump=true \
	-Delfutils=true \
	-Dapparmor=true \
	-Dlibidn2=true \
	-Dlibiptc=true \
	-Dlibcurl=true \
	-Dimportd=true \
	-Dmicrohttpd=true \
	-Dopenssl=true \
	-Dcryptolib=openssl \
	-Ddns-over-tls=openssl \
	-Dlibfido2=true \
	-Dtpm2=true \
	-Dhomed=true \
	-Duserdb=true \
	-Dpcre2=true
else
CONFFLAGS += \
	-Daudit=false \
	-Dlibcryptsetup=false \
	-Dcoredump=false \
	-Delfutils=false \
	-Dapparmor=false \
	-Dlibidn2=false \
	-Dlibiptc=false \
	-Dlibcurl=false \
	-Dimportd=false \
	-Dmicrohttpd=false \
	-Dopenssl=false \
	-Dlibfido2=false \
	-Dtpm2=false \
	-Dhomed=false \
	-Duserdb=false \
	-Dpcre2=false
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_UPSTREAM)

execute_before_dh_auto_build:
	# blhc false positives: C++ fuzz test program, cc -E flags listing, PE-COFF EFI binaries
	@echo 'blhc: ignore-line-regexp: .* -o test-bus-vtable-cc.*'
	@echo 'blhc: ignore-line-regexp: .*cc -E.*'
	@echo 'blhc: ignore-line-regexp: .* -o src/boot/efi.*'

execute_after_dh_auto_build:
	# generate POT file for translators
	ninja -C obj-$(DEB_HOST_GNU_TYPE) systemd-pot

execute_after_dh_auto_install:
	# fix paths in manpages; manually check the remaining /usr occurrences
	# occasionally, with filtering out paths which are known to be in /usr:
	# grep -r /usr debian/tmp/usr/share/man/|egrep -v '/usr/local|os.*release|factory|zoneinfo|tmpfiles|kernel|foo|machines|sysctl|dbus|include|binfmt'
	if test -d debian/tmp/usr/share/man; then \
		find debian/tmp/usr/share/man/ -type f | xargs sed -ri 's_/usr(/lib/systemd/system|/lib/systemd/network|/lib/udev|/lib[^/]|/lib/[^a-z])_\1_g'; \
	fi

execute_before_dh_auto_clean:
ifneq (, $(TEST_UPSTREAM))
	debian/extra/checkout-upstream
endif

execute_after_dh_auto_clean:
	rm -f debian/shlibs.local
	# remove Python byte code files
	rm -rf tools/__pycache__/
	rm -rf tools/chromiumos/__pycache__/
	rm -f po/systemd.pot

execute_before_dh_install:
	# remove unnecessary / unused files
	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
	rm -f debian/tmp/var/log/README
	rm -f debian/tmp/etc/init.d/README
	rm -f debian/tmp/lib/*.d/README
	rm -f debian/tmp/lib/udev/*.d/README
	rm -f debian/tmp/usr/lib/*.d/README
	rm -f debian/tmp/usr/lib/sysctl.d/50-default.conf
	rm -f debian/tmp/etc/X11/xinit/xinitrc.d/50-systemd-user.sh
	rmdir -p --ignore-fail-on-non-empty debian/tmp/etc/X11/xinit/xinitrc.d/
	# those files should probably be shipped in a -dev package, remove for now
	rm -rf debian/tmp/usr/share/dbus-1/interfaces/
	# remove files related to factory-reset feature
	find debian/tmp/ \( -name 'systemd-update-done*' -o \
		-name systemd-journal-catalog-update.service -o \
		-name systemd-hwdb-update.service -o \
		-name ldconfig.service -o \
		-name etc.conf \) -print -delete
	rm -rf debian/tmp/usr/share/factory/
	# replace upstream sysusers.d/basic.conf with proper users for Debian
	debian/extra/make-sysusers-basic > debian/tmp/usr/lib/sysusers.d/basic.conf
	# remove obsolete compat symlink
	rm -f debian/tmp/usr/bin/systemd-resolve

execute_after_dh_install:
	# install standalone binaries
	for pkg in sysusers tmpfiles; do \
		mkdir -p debian/systemd-standalone-$$pkg/bin; \
		mv debian/systemd/bin/systemd-$$pkg.standalone debian/systemd-standalone-$$pkg/bin/systemd-$$pkg; \
	done

	# we don't want /tmp to be a tmpfs by default
	mv debian/systemd/lib/systemd/system/tmp.mount debian/systemd/usr/share/systemd/
	printf '\n[Install]\nWantedBy=local-fs.target\n' >> debian/systemd/usr/share/systemd/tmp.mount
	rm debian/systemd/lib/systemd/system/local-fs.target.wants/tmp.mount

	# files shipped by cryptsetup
ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
	rm -f debian/tmp/usr/share/man/man5/crypttab.5
endif

	# files shipped by systemd
	rm debian/udev/lib/udev/rules.d/70-uaccess.rules
	rm debian/udev/lib/udev/rules.d/73-seat-late.rules
	rm debian/udev/lib/udev/rules.d/71-seat.rules
	rm debian/udev/lib/udev/rules.d/99-systemd.rules

	# Ubuntu specific files
ifeq ($(DEB_VENDOR),Ubuntu)
	install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py
	install -D --mode=644 debian/extra/systemd.py debian/systemd/usr/share/apport/package-hooks/systemd.py
	install --mode=644 debian/extra/rules-ubuntu/*.rules debian/udev/lib/udev/rules.d/
	cp -a debian/extra/units-ubuntu/* debian/systemd/lib/systemd/system/
endif

execute_after_dh_installman:
	# remove duplicate files shipped by systemd-*/udev
	# run after dh_installman, which runs after dh_install, to include manpages
	echo "Removing duplicate files in systemd package:"
	set -e; for pkg in $(shell dh_listpackages -Nudev-udeb -Nlibudev1-udeb -Nsystemd -Nsystemd-standalone-sysusers -Nsystemd-standalone-tmpfiles); do \
		echo "... from $$pkg..."; \
		(cd debian/$$pkg; find -type f -o -type l) | (cd debian/systemd; xargs rm -f --verbose); \
		(cd debian/$$pkg; find -mindepth 1 -type d | sort -r) | (cd debian/systemd; xargs rmdir --ignore-fail-on-non-empty --verbose || true); \
	done

=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, isolation-container

Tests: unit-config
Depends: systemd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  systemd-resolved,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  policykit-1,
  dnsmasq-base
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: build-login
Depends: systemd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  policykit-1,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd-container,
  systemd-coredump,
  libpam-systemd,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [!s390x],
  cron,
  network-manager,
  busybox-static,
  rsyslog,
  apparmor,
  pkg-config,
  python3
Restrictions: needs-root, isolation-container, breaks-testbed, allow-stderr

Tests: udev
Depends: systemd-tests,
  python3,
  tree,
  perl,
  xz-utils,
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: unit-tests
Depends: systemd-tests,
  libpam-systemd,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
  libtss2-dev,
  libfido2-dev,
  libdw-dev,
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: upstream
Depends: systemd-tests,
  systemd-journal-remote,
  systemd-container,
  systemd-coredump,
  systemd-timesyncd,
  systemd-oomd,
  systemd-homed,
  systemd-resolved,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  attr,
  tree,
  perl,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  dmeventd,
  kbd,
  cryptsetup-bin,
  cryptsetup-initramfs,
  net-tools,
  isc-dhcp-client,
  iputils-ping,
  strace,
  qemu-system-x86 [amd64 i386],
  qemu-system-arm [arm64 armhf],
  qemu-system-ppc [ppc64el],
  qemu-system-s390x [s390x],
  seabios,
  less,
  pkg-config,
  gcc,
  libc6-dev | libc-dev,
  make,
  quota,
  fdisk,
  netcat-openbsd,
  socat,
  busybox-static,
  plymouth,
  e2fsprogs,
  zstd,
  squashfs-tools,
  vim-tiny,
  dosfstools,
  libdw-dev,
  libelf-dev,
  dbus-user-session,
  libtss2-dev,
  libfido2-dev,
  python3-pexpect,
  screen,
  swtpm,
  tpm2-tools,
  openssl,

## systemd 251.5

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later

option('version-tag', type : 'string',
       description : 'override the git version string')
option('shared-lib-tag', type : 'string',
       description : 'override the private shared library version tag (defaults to project version)')

option('mode', type : 'combo', choices : ['developer', 'release'],
       description : 'autoenable features suitable for systemd development/release builds')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
option('link-udev-shared', type : 'boolean',
       description : 'link systemd-udev and its helpers to libsystemd-shared.so')
option('link-systemctl-shared', type: 'boolean',
       description : 'link systemctl against libsystemd-shared.so')
option('link-networkd-shared', type: 'boolean',
       description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
option('link-timesyncd-shared', type: 'boolean',
       description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
option('link-boot-shared', type: 'boolean',
       description : 'link bootctl and systemd-bless-boot against libsystemd-shared.so')
option('first-boot-full-preset', type: 'boolean', value: false,
       description : 'during first boot, do full preset-all (default will be changed to true later)')

option('static-libsystemd', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libsystemd''')
option('static-libudev', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : 'install a static library for libudev')
option('standalone-binaries', type : 'boolean', value : 'false',
       description : 'also build standalone versions of supported binaries')

option('sysvinit-path', type : 'string', value : '/etc/init.d',
       description : 'the directory where the SysV init scripts are located')
option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
       description : 'the base directory for SysV rcN.d directories')
option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
       description : 'path to telinit')
option('rc-local', type : 'string',
       value : '/etc/rc.local')
option('initrd', type : 'boolean',
       description : 'install services for use when running systemd in initrd')
option('compat-mutable-uid-boundaries', type : 'boolean', value : 'false',
       description : 'look at uid boundaries in /etc/login.defs for compatibility')
option('nscd', type : 'boolean',
       description : 'build support for flushing of the nscd caches')

option('quotaon-path', type : 'string', description : 'path to quotaon')
option('quotacheck-path', type : 'string', description : 'path to quotacheck')
option('kmod-path', type : 'string', description : 'path to kmod')
option('kexec-path', type : 'string', description : 'path to kexec')
option('sulogin-path', type : 'string', description : 'path to sulogin')
option('mount-path', type : 'string', description : 'path to mount')
option('umount-path', type : 'string', description : 'path to umount')
option('loadkeys-path', type : 'string', description : 'path to loadkeys')
option('setfont-path', type : 'string', description : 'path to setfont')
option('nologin-path', type : 'string', description : 'path to nologin')

option('debug-shell', type : 'string', value : '/bin/sh',
       description : 'path to debug shell binary')
option('debug-tty', type : 'string', value : '/dev/tty9',
       description : 'specify the tty device for debug shell')
option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
       description : 'enable extra debugging')
option('memory-accounting-default', type : 'boolean',
       description : 'enable MemoryAccounting= by default')
option('bump-proc-sys-fs-file-max', type : 'boolean',
       description : 'bump /proc/sys/fs/file-max to LONG_MAX')
option('bump-proc-sys-fs-nr-open', type : 'boolean',
       description : 'bump /proc/sys/fs/nr_open to INT_MAX')
option('valgrind', type : 'boolean', value : false,
       description : 'do extra operations to avoid valgrind warnings')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
option('hibernate', type : 'boolean',
       description : 'support for hibernation')
option('ldconfig', type : 'boolean',
       description : 'support for dynamic linker cache creation')
option('resolve', type : 'boolean',
       description : 'systemd-resolved stack')
option('efi', type : 'boolean',
       description : 'enable systemd-boot and bootctl')
option('tpm', type : 'boolean',
       description : 'TPM should be used to log events and extend the registers')
option('environment-d', type : 'boolean',
       description : 'support for environment.d')
option('binfmt', type : 'boolean',
       description : 'support for custom binary formats')
option('repart', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-repart tool')
option('sysupdate', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-sysupdate tool')
option('coredump', type : 'boolean',
       description : 'install the coredump handler')
option('pstore', type : 'boolean',
       description : 'install the pstore archival tool')
option('oomd', type : 'boolean',
       description : 'install the userspace oom killer')
option('logind', type : 'boolean',
       description : 'install the systemd-logind stack')
option('hostnamed', type : 'boolean',
       description : 'install the systemd-hostnamed stack')
option('localed', type : 'boolean',
       description : 'install the systemd-localed stack')
option('machined', type : 'boolean',
       description : 'install the systemd-machined stack')
option('portabled', type : 'boolean',
       description : 'install the systemd-portabled stack')
option('sysext', type : 'boolean',
       description : 'install the systemd-sysext stack')
option('userdb', type : 'boolean',
       description : 'install the systemd-userdbd stack')
option('homed', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-homed stack')
option('networkd', type : 'boolean',
       description : 'install the systemd-networkd stack')
option('timedated', type : 'boolean',
       description : 'install the systemd-timedated daemon')
option('timesyncd', type : 'boolean',
       description : 'install the systemd-timesyncd daemon')
option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'support for "journal over the network"')
option('create-log-dirs', type : 'boolean',
       description : 'create /var/log/journal{,/remote}')
option('nss-myhostname', type : 'boolean',
       description : 'install nss-myhostname module')
option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-mymachines module')
option('nss-resolve', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-resolve module')
option('nss-systemd', type : 'boolean',
       description : 'install nss-systemd module')
option('firstboot', type : 'boolean',
       description : 'support for firstboot mechanism')
option('randomseed', type : 'boolean',
       description : 'support for restoring random seed')
option('backlight', type : 'boolean',
       description : 'support for restoring backlight state')
option('vconsole', type : 'boolean',
       description : 'support for vconsole configuration')
option('quotacheck', type : 'boolean',
       description : 'support for the quotacheck tools')
option('sysusers', type : 'boolean',
       description : 'support for the sysusers configuration')
option('tmpfiles', type : 'boolean',
       description : 'support for tmpfiles.d')
option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-importd daemon')
option('hwdb', type : 'boolean',
       description : 'support for the hardware database')
option('rfkill', type : 'boolean',
       description : 'support for the rfkill tools')
option('xdg-autostart', type : 'boolean',
       description : 'install the xdg-autostart-generator and unit')
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')
option('translations', type : 'boolean', value : true,
       description : 'build and install translations')

option('certificate-root', type : 'string', value : '/etc/ssl',
       description : 'the prefix for TLS certificates')
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('dbus-interfaces-dir', type : 'string',
       description : 'export D-Bus introspection XML as standalone files')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for arch-independent pkg-config files')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for standard pkg-config files')
option('xinitrcdir', type : 'string', value : '',
       description : 'directory for xinitrc files')
option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
       description : 'directory for rpm macros ["no" disables]')
option('update-helper-user-timeout', type : 'string', value : '15s',
       description : 'how long to wait for user manager operations')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('libcryptsetup-plugins-dir', type : 'string',
       description : 'directory for libcryptsetup plugins')
option('docdir', type : 'string',
       description : 'documentation directory')
option('install-sysconfdir', type : 'combo', choices : ['true', 'no-samples', 'false'], value : 'true',
       description : 'install configuration files and directories to $sysconfdir')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'unified',
       description : 'default cgroup hierarchy')
option('extra-net-naming-schemes', type : 'string',
       description : 'comma-separated list of extra net.naming-scheme= definitions')
option('default-net-naming-scheme', type : 'string', value : 'latest',
       description : 'default net.naming-scheme= value')
option('status-unit-format-default', type : 'combo',
       choices : ['description', 'name', 'combined'],
       description : 'use unit name or description in messages by default')
option('time-epoch', type : 'integer', value : '-1',
       description : 'time epoch for time clients')

=== debian/changelog ===
systemd (251.5-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Build and install libcryptsetup token plugins.
    The interfaces are now mature and enabled in Debian/Ubuntu in
    libcryptsetup, so enable and ship the plugins

  [ Michael Biebl ]
  * salsa-ci: drop no longer needed workaround for lintian false positives
  * udev: fix regression in udev-builtin path_id when processing NVME devices
    (Closes: #1021547)

  [ наб ]
  * systemd-sysv.postinst: which -> command -v

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2022 00:51:55 +0200

systemd (251.5-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 251.5
  * Install NEWS.Debian file into all binary packages.
    While it increases the disk footprint a little, it ensures that NEWS
    entries are reliably shown by apt-listchanges.
  * Handle removal of /var/log/README.
    Remove /var/log/README symlink when the systemd package is purged.
    This symlink is created via tmpfiles and documents that /var/log no
    longer contains the traditional syslog text files. (Closes: #877414)
  * Rebase patches

  [ наб ]
  * debian/extra/kernel/postinst.d/systemd-boot: prefix with zz-
    Since we explicitly (though this is hidden by indirection through
    85-initrd.install) depend on /boot/initrd.img-$1 existing or not existing,
    hard-order ourselves at the end. The zz- prefix matches grub.
  * debian/extra/kernel-install.d/85-initrd.install: install default initrd
    with versioned basename.
    This fixes #1020396 in a superior way by using
    $KERNEL_INSTALL_STAGING_AREA, available since systemd v251.
    By just copying the file we both simplify our code, but defer to
    90-loaderentry to correctly permission it, and simply never generate an
    unversioned initrd in the first place! (Closes: #1020396)
  * debian/extra/kernel-install.d/85-initrd.install: explicitly ignore unknown
    verbs
  * debian/extra/kernel/postrm.d/systemd-boot: prefix with zz-
    Doesn't actually matter, but the kernel handbook says we must and we
    already renamed postinst. (Closes: #1014581)

  [ Luca Boccassi ]
  * Enable firstboot, disabled by default on Debian.
    Currently the first-boot conditions are not met by any Debian
    image (/etc/machine-id with content uninitialized, so we can
    just enable the build and ship it in the main package.
    This lets image builders (eg: cloud images) tinker with it.
    https://www.freedesktop.org/software/systemd/man/machine-id.html#First%20Boot%20Semantics
    (Closes: #844528)

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Oct 2022 21:23:49 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libiptc-dev <!stage1>,
                libaudit-dev <!stage1>,
                libdbus-1-dev (>= 1.3.2) <!nocheck> <!noinsttest>,
-               libcryptsetup-dev (>= 2:1.6.0) <!stage1>,
+               libcryptsetup-dev (>= 2:2.4) <!stage1>,
                libselinux1-dev (>= 2.1.9),
                libacl1-dev,
                liblzma-dev,

=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 	-Drpmmacrosdir=no \
 	-Dqrencode=false \
 	-Dvconsole=false \
-	-Dfirstboot=false \
+	-Dfirstboot=true \
 	-Dsysupdate=false \
 	-Dxkbcommon=false \
 	-Dwheel-group=false \
@@ -91,7 +91,6 @@
 	-Dhwdb=true \
 	-Dsysusers=true \
 	-Dinstall-tests=$(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),false,true) \
-	-Dlibcryptsetup-plugins=false \
 	-Defi=true \
 	-Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),false,true) \
 	-Dtranslations=true \
@@ -106,6 +105,7 @@
 CONFFLAGS += \
 	-Daudit=true \
 	-Dlibcryptsetup=true \
+	-Dlibcryptsetup-plugins=true \
 	-Dcoredump=true \
 	-Delfutils=true \
 	-Dapparmor=true \
@@ -126,6 +126,7 @@
 CONFFLAGS += \
 	-Daudit=false \
 	-Dlibcryptsetup=false \
+	-Dlibcryptsetup-plugins=false \
 	-Dcoredump=false \
 	-Delfutils=false \
 	-Dapparmor=false \
@@ -180,7 +181,6 @@
 	# remove unnecessary / unused files
 	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
 	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
-	rm -f debian/tmp/var/log/README
 	rm -f debian/tmp/etc/init.d/README
 	rm -f debian/tmp/lib/*.d/README
 	rm -f debian/tmp/lib/udev/*.d/README

## systemd 251.6

=== debian/changelog ===
systemd (251.6-1) unstable; urgency=medium

  * New upstream version 251.6
  * Rebase patches
  * Use dh_installsystemd to enable machines.target in systemd-container

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2022 16:34:00 +0200

systemd (251.5-3) unstable; urgency=medium

  * Update symbol versions for the v251 release
  * ata_id: fix getting Response Code from SCSI Sense Data (Closes: #1021579)
  * logind: do not emit beep in wall messages (Closes: #1019510)
  * logind: remember our idle state and use it to detect idle level
    transitions (Closes: #963135)
  * logind: fix getting property OnExternalPower via D-Bus (Closes: #1021644)

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Oct 2022 17:01:05 +0200

## systemd 252

=== debian/changelog ===
systemd (252-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Let dh_installsysusers fix the /var/log/journal permissions.
    dh_installsysusers adds a systemd-sysusers in #DEBHELPER#. Otherwise
    it fails with: /usr/lib/tmpfiles.d/systemd.conf:28: Failed to resolve
    group 'systemd-journal'. Regression of fa0aade329. (Closes: #1023248)
  * Move restarting units after #DEBHELPER#. This makes sure that systemd-
    sysusers was executed as well as systemd-tmpfiles to setup proper
    permissions for /var/log/journal before systemd-journald is being
    restarted.

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Nov 2022 12:06:18 +0000

systemd (252-1) unstable; urgency=medium

  * Use systemd-sysusers to setup systemd users and groups
  * New upstream version 252
  * Drop patches merged upstream
  * libsystemd0: set symbols version to 252
  * Drop unused lintian override

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Oct 2022 22:02:43 +0000

systemd (252~rc3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Oct 2022 15:24:32 +0100

systemd (252~rc3-1) experimental; urgency=medium

  * New upstream version 252~rc3
  * Refresh patches
  * Backport patches to fix tests without machine-id. Drop out-of-tree
    patch and backport upstream fixes.

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Oct 2022 01:30:02 +0100

systemd (252~rc2-1) experimental; urgency=medium

  [ Jan Kiszka ]
  * Enable systemd-boot for riscv64. Tested against U-Boot 2022.10 as UEFI
    provider on the RZ/Five. Signed-off-by: Jan Kiszka
    <jan.kiszka@siemens.com>

  [ Helmut Grohne ]
  * Conditionalize installation of cryptsetup plugins in stage1 using dh-
    exec (Closes: #1021821)

  [ Michael Biebl ]
  * Install sysusers.d and tmpfiles.d man pages in standalone packages
    (Closes: #1021933)

  [ Luca Boccassi ]
  * d/watch: switch to non-stable repo
  * New upstream version 252~rc2
  * Drop patches merged upstream
  * Refresh patches
  * Update symbols file
  * Update Lintian overrides
  * autopkgtest: update expected output of localectl

 -- Luca Boccassi <bluca@debian.org>  Sat, 22 Oct 2022 01:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,9 @@
 Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
 Homepage: https://www.freedesktop.org/wiki/Software/systemd
 Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-installnss,
+               dh-sequence-installsysusers,
                dh-sequence-package-notes,
                pkg-config,
                xsltproc <!nodoc>,
@@ -23,7 +25,7 @@
                meson (>= 0.53.2),
                gettext,
                gperf,
-               gnu-efi [amd64 i386 arm64 armhf],
+               gnu-efi [amd64 i386 arm64 armhf riscv64],
                libcap-dev,
                libpam0g-dev,
                libapparmor-dev (>= 2.13) <!stage1>,
@@ -161,7 +163,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          systemd,
-         adduser
 Description: tools for sending and receiving remote journal logs
  This package provides tools for sending and receiving remote journal logs:
   * systemd-journal-remote
@@ -174,7 +175,6 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
          systemd
 Recommends: libdw1
 Conflicts: core-dump-handler
@@ -191,7 +191,6 @@
 Priority: standard
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
          systemd
 Breaks: systemd (<< 245.4-2~),
 Conflicts: time-daemon
@@ -323,4 +322,3 @@
  use libsystemd.
 
 Package: libsystemd-shared
-Architecture: linux-any
